Skip to content

getMethodMaterials

READ

Get method materials.

POST /api/v1/items/getMethodMaterials
curl -X POST '<your-host>/api/v1/items/getMethodMaterials' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "id": "string",
      "itemId": "string",
      "itemType": "string",
      "kit": true,
      "makeMethodId": "string",
      "materialMakeMethodId": "string",
      "methodOperationId": "string",
      "methodType": "Purchase to Order",
      "order": 0,
      "productionQuantity": 0,
      "quantity": 0,
      "scrapQuantity": 0,
      "sourcingType": "Specified",
      "storageUnitIds": "…",
      "tags": [
        "string"
      ],
      "unitOfMeasureCode": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "item": {
        "name": "string",
        "readableIdWithRevision": "string"
      },
      "makeMethod": {
        "item": {
          "id": "string",
          "type": "Part",
          "name": "string",
          "readableIdWithRevision": "string"
        }
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}